#!/usr/bin/env python3

# +------------------------+			   
# | Created with Sailboat  |
# |                        |
# | Do not edit this file  |
# | directly. Instead  	   |			   
# | you should edit the	   |			   
# | `sailboat.toml` file.  |			   
# +------------------------+	

import setuptools

try:
	with open("README.md", "r") as fh:
		long_description = fh.read()
except FileNotFoundError:
	long_description = """
	# TerminalVideo
	
	### Contributors
	- cole wilson
	### Contact
	<cole@colewilson.xyz>
	"""

options = {
	"name": "termvid",
	"version": "0.0.4",
	"scripts": ['bin/termvid'],
	"entry_points": {'console_scripts': []},
	"author": "cole wilson",
	"author_email": "cole@colewilson.xyz",
	"description": "",
	"long_description": long_description,
	"long_description_content_type": "text/markdown",
	"url": "http://termvid.zephyr",
	"packages": setuptools.find_packages(),
	"install_requires": ['opencv-python', 'blessed'],
	"classifiers": ["Programming Language :: Python :: 3"],
	"python_requires": '>=3.6',
	"package_data": {"": ['*.vid'], },
	"license": "none",
	"keywords": '',
	"setup_requires": ['wheel'],
}

custom_options = {}

if __name__ == "__main__":
	setuptools.setup(**custom_options, **options)
